Retrieve Object Record User Actions
Retrieve all available user actions that can be initiated on a specific object record which:
- The authenticated user has permissions to view or initiate
- Can be initiated through the API
GET
/api/{version}/vobjects/{object_name}/{object_record_id}/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value. |
{object_record_id} | The object record id field value. |
Retrieve Localized Strings
Section link for Retrieve Localized StringsWhen available, you can retrieve localized (translated) strings for the label field by adding loc=true to the request endpoint.
For example: /api/{version}/vobjects/{object_name}/{object_record_id}/actions?loc=true
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.2/vobjects/product__v/0PR0771/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"type": "workflow",
"name": "start_approval__v",
"label": "Start Approval"
},
{
"type": "state_change",
"name": "change_state_to_inactive__c",
"label": "Change State to Inactive"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all available user actions that can be initiated on the specified object record.
type- The type of user action. This can beworkfloworstate_change.name- The user action name. This is thelifecycle_action_nameparameter used in the two requests below.label- The user action label as seen in the UI.
When localized strings are requested (loc=true), the response includes an additional localized_data field containing translated fields and field values on each object field for which localized strings have been configured. This data is only available at the object and field level and only if localized strings have been configured.